﻿using System;
namespace RhinoReminds
{
	[Serializable()]
	public class AIException : System.Exception
	{
		public AIException() : base() { }
		public AIException(string message) : base(message) { }
		public AIException(string message, System.Exception inner) : base(message, inner) { }

		// A constructor is needed for serialization when an
		// exception propagates from a remoting server to the client. 
		protected AIException(System.Runtime.Serialization.SerializationInfo info,
			System.Runtime.Serialization.StreamingContext context) : base(info, context) { }
	}
}
